//This file is a "dummy" file with simple primitives and textures replacing the
//objects and textures to be used in the final scene. This file may be rendered
//as is without any other .inc, .pov, or .gif files. Comment out includes, 
//cameras and lights and rename to dummy.inc to include in another file.

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

#declare BezFlatness = 0.01
#declare BezUStep    = 3
#declare BezVStep    = 3

camera {  //  Camera Camera01
  location  <25, -5, -25>
  //location  <0, 5, -50>
  direction <0.0,     2.0,  0>
  sky       <0.0,     1.0,  0.0>
  up        <0.0,     1.0,  0.0>
  right     <1.3333,  0.0,  0.0>
  look_at   <0.0, 0.0, 0.0>
}

object {   // Light source Light001
  light_source {
    <-5000, 5000, -5000>
    color  White
  }
}

object {   // Light source Light002
  light_source {
    <5000, 5000, -5000>
    color  White
  }
}

#declare Dummy = texture {
 pigment { color Red }
 finish {
  ambient   0.10
  diffuse   0.50
  phong   1.00
  phong_size 100.00
 }
}


#declare Texture01 = texture {
 pigment { color White }
 finish {
  ambient   0.10
  diffuse   0.50
  brilliance   1.00
  phong   0.60
  phong_size  20.00
 }
}


#declare Decanterbody = object {
  sphere {<0,0,0>,1}
  scale <2, 2, 2.5>
}

#declare Decanterneck = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <0.5, 0.5, 2.5>
  translate <0, 0, 2.261622>
}

#declare lipcyl = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.3, 1.3, 0.1>
  translate <0, 0, 4.75>
}

#declare Decantertop = union {
  object { Decanterbody }
  object { Decanterneck }
  object { lipcyl }
}

#declare Stoppersphere = object {
  sphere {<0,0,0>,1}
  scale <1, 1, 1.25>
  translate <0, 0, 5.639282>
}

#declare Stopperball2 = object {
  sphere {<0,0,0>,1}
  scale <0.15, 0.15, 0.15>
  translate <0, 0, 7>
}

#declare Stopper = union {
  object { Stoppersphere }
  object { Stopperball2 }
}

#declare Stembead = object {
  sphere {<0,0,0>,1}
  scale <0.5, 0.5, 0.5>
  translate <0, 0, -2.947915>
}

#declare fishsphere = object {
  sphere {<0,0,0>,1}
  scale <1.25, 0.1, 1>
  translate <0, 0, 8>
}

#declare Basecone = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <1.5, 1.5, 5>
  rotate <-180, 0, 0>
  translate <0, 0, -3.180343>
}

union {   // Decanter
  object { Decantertop }
  object { Stopper }
  object { Stembead }
  object { fishsphere }
  object { Basecone }
  texture {
    Texture01
  }
  rotate <-90, 0, 0>  //rotated so y=up
}


box {   // floor - comment out of final scene
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Dummy
  }
  scale <50, 0.00001, 50>
  translate <0, -8.2, 0>
}


#declare Basecone2 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <1.5, 1.5, 5>
  rotate <-180, 0, 0>
  translate <0, 0, -3.147834>
}

#declare Gobletsphere1 = object {
  sphere {<0,0,0>,1}
  scale <1.585, 1.585, 3.922718>
  translate <0, 0, 0.438408>
}

#declare Stembead2 = object {
  sphere {<0,0,0>,1}
  scale <0.5, 0.5, 0.5>
  translate <0, 0, -2.947915>
}

union {   // Goblet1
  object { Basecone2 }
  object { Gobletsphere1 }
  object { Stembead2 }
  texture {
    Texture01
  }
  scale <0.85, 0.85, 0.85>
  rotate <-90, 0, 0> //rotated so y=up
  translate <-6, -1.25, 0>
}


union {   // Goblet2
  object { Basecone2 }
  object { Gobletsphere1 }
  object { Stembead2 }
  texture {
    Texture01
  }
  scale <0.85, 0.85, 0.85>
  rotate <-90, 0, 0>  //rotated so y=up
  translate <6, -1.25, 0>
}



